Bug 1491344 (CVE-2017-14340)

Summary: CVE-2017-14340 kernel: xfs: unprivileged user kernel oops
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: airlied, ajax, aquini, bhu, blc, bskeggs, dchinner, dhoward, eparis, esandeen, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, nhorman, nmurray, plougher, ppandit, quintela, rt-maint, rvrbovsk, slawomir, vdronov, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was found where the XFS filesystem code mishandles a user-settable inode flag in the Linux kernel prior to 4.14-rc1. This can cause a local denial of service via a kernel panic.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:25:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1493018    
Bug Blocks: 1490687    

Description Adam Mariš 2017-09-13 14:21:08 UTC
It was found that XFS filesystem code mishandles a user settable inode flag in the Linux kernels prior to 4.14-rc1 which can cause a local denial of service via a kernel panic.

External References:

http://seclists.org/oss-sec/2017/q3/436

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=b31ff3cdf540110da4572e3e29bd172087af65cc

Comment 1 Vladis Dronov 2017-09-19 07:30:57 UTC
Acknowledgments:

Name: Dave Chinner (Red Hat)

Comment 4 Vladis Dronov 2017-09-19 07:52:28 UTC
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7  as the code with the flaw is not built in these products due to theirs build configuration.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux MRG-2. Future updates for the respective releases may address this issue.

Comment 5 errata-xmlrpc 2017-10-19 13:28:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2918 https://access.redhat.com/errata/RHSA-2017:2918